## Ranges

Ranges —

## Synopsis

    int         go_range_sum                    (const double *xs,
                                                 int n,
                                                 double *res);
    int         go_range_sumsq                  (const double *xs,
                                                 int n,
                                                 double *res);
    int         go_range_average                (const double *xs,
                                                 int n,
                                                 double *res);
    int         go_range_min                    (const double *xs,
                                                 int n,
                                                 double *res);
    int         go_range_max                    (const double *xs,
                                                 int n,
                                                 double *res);
    int         go_range_maxabs                 (const double *xs,
                                                 int n,
                                                 double *res);
    int         go_range_devsq                  (const double *xs,
                                                 int n,
                                                 double *res);
    int         go_range_suml                   (const long double *xs,
                                                 int n,
                                                 long double *res);
    int         go_range_sumsql                 (const long double *xs,
                                                 int n,
                                                 long double *res);
    int         go_range_averagel               (const long double *xs,
                                                 int n,
                                                 long double *res);
    int         go_range_minl                   (const long double *xs,
                                                 int n,
                                                 long double *res);
    int         go_range_maxl                   (const long double *xs,
                                                 int n,
                                                 long double *res);
    int         go_range_maxabsl                (const long double *xs,
                                                 int n,
                                                 long double *res);
    int         go_range_devsql                 (const long double *xs,
                                                 int n,
                                                 long double *res);

## Description

## Details

### go_range_sum ()

    int         go_range_sum                    (const double *xs,
                                                 int n,
                                                 double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_sumsq ()

    int         go_range_sumsq                  (const double *xs,
                                                 int n,
                                                 double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_average ()

    int         go_range_average                (const double *xs,
                                                 int n,
                                                 double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_min ()

    int         go_range_min                    (const double *xs,
                                                 int n,
                                                 double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_max ()

    int         go_range_max                    (const double *xs,
                                                 int n,
                                                 double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_maxabs ()

    int         go_range_maxabs                 (const double *xs,
                                                 int n,
                                                 double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_devsq ()

    int         go_range_devsq                  (const double *xs,
                                                 int n,
                                                 double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_suml ()

    int         go_range_suml                   (const long double *xs,
                                                 int n,
                                                 long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_sumsql ()

    int         go_range_sumsql                 (const long double *xs,
                                                 int n,
                                                 long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_averagel ()

    int         go_range_averagel               (const long double *xs,
                                                 int n,
                                                 long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_minl ()

    int         go_range_minl                   (const long double *xs,
                                                 int n,
                                                 long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_maxl ()

    int         go_range_maxl                   (const long double *xs,
                                                 int n,
                                                 long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_maxabsl ()

    int         go_range_maxabsl                (const long double *xs,
                                                 int n,
                                                 long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_devsql ()

    int         go_range_devsql                 (const long double *xs,
                                                 int n,
                                                 long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |